Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinBase.OVERLAPPED

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinBase.OVERLAPPED

Enclosing class:
  WinBase

    public static class WinBase.OVERLAPPED

extends com.sun.jna.Structure

The OVERLAPPED structure contains information used in asynchronous (or overlapped) input and output (I/O).

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`WinNT.HANDLE` | `hEvent`
`BaseTSD.ULONG_PTR` | `Internal`
`BaseTSD.ULONG_PTR` | `InternalHigh`
`int` | `Offset`
`int` | `OffsetHigh`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.OVERLAPPED()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Internal

    public BaseTSD.ULONG_PTR Internal

### InternalHigh

    public BaseTSD.ULONG_PTR InternalHigh

### Offset

    public int Offset

### OffsetHigh

    public int OffsetHigh

### hEvent

    public WinNT.HANDLE hEvent

Constructor Detail

### WinBase.OVERLAPPED

    public WinBase.OVERLAPPED()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD